Skip to main content

Create resident

POSThttps://api.propexo.com/v1/residents/

Create a resident for an integration.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired
    lease_idstring

    The Propexo unique identifier for the lease

    last_namestring

    The last name of the resident. This value maps to both the LastName and PrimaryContact.LastName properties of the Tenant object

    first_namestring

    The first name of the resident. This value maps to both the FirstName and PrimaryContact.FirstName properties of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the PrimaryContact.Email property of the Tenant object

    email_2string<email>

    The secondary email address associated with the resident

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the PrimaryContact.DateOfBirth property of the Tenant object.

    address_1string

    Street address for the resident. This maps to the Street property of the primary address of the Tenant object

    address_2string

    The second address line associated with the resident

    citystring

    City of the resident's primary address

    statestring

    State of the resident's primary address

    zipstring

    Zip/Postal Code of the resident's primary address

    countrystring

    The country associated with the resident

    Show 2 variants
    • stringUnited StatesCanada
    • string
    address_1_alternatestring

    Secondary/alternate street address for the resident. This maps to the Street property of the second address of the Tenant object

    address_2_alternatestring

    Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address

    state_alternatestring

    State of the resident's secondary/alternate address

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address

    country_alternatestring

    Country of the resident's secondary/alternate address.

    Show 1 enum value
    US
    notesstring

    Notes about the resident

    phone_1string

    Primary phone number associated with the resident

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the resident

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object
    middle_namestring

    The middle name of the resident. This value maps to the PrimaryContact.MiddleName property of the Tenant object

    property_idstring

    The Propexo unique identifier for the property

    rent_periodstring

    How often the resident is expected to pay rent. Allowed values are "monthly", "weekly", and "daily". Maps to the RentPeriod property of the Tenant object.

    Show 3 enum values
    MONTHLYWEEKLYDAILY
    rent_due_dayinteger

    Day of the month on which the tenant's rent is due. Maps to the RentDueDay property of the Tenant object

    Possible values: >= 1 and <= 31

    attachments object[]

    Attachment files for user defined fields on the resident. All the files can have a maximum combined file size of 50 MB

  • Array [
  • file_type_idstringrequired

    The Propexo unique identifier for the file type. This file_type must contain a "type" value of "file"

    file_typestring

    The type of file being uploaded. This defaults to "Document"

    Show 1 enum value
    Document
    Default value: Document
    file_datastringrequired

    The contents of the file, as a base64 encoded string. The PMS has a max file size of 29 MB.

    Possible values: <= 40443576 characters

    file_namestringrequired

    The name of the file including the extension. Ex: "resume.pdf"

    mime_typestringrequired

    The mime type of the file. Ex: "application/pdf"

  • ]

Response​

Successful response

    job_idstringrequired

    The ID of the job created to handle this operation

    data objectrequired
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/residents/
curl -X POST https://api.propexo.com/v1/residents/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string"
}'
200 Successful response
{
"job_id": "string",
"data": {}
}